/**
   Incapsulatore (Wrapper) di un Keg
   @author Andrea Trentini
*/
public class Fusto
{
   /**
      rapporto LITRO/PINTA
   */
   public final static float LITRO_PINTA=2.1133f;

   Keg keg;
   public Fusto(Keg k)
   {
      keg=k;
   }

   /**
      crea un Glass riempito con
      quant/10 litri di birra
   */
   public Glass spilla(float quant)
   {
      return keg.draw(quant*LITRO_PINTA*12/10);
   }

   /**
      in litri, NON in percentuale!!!
   */
   public float fornisciLivello()
   {
      return keg.getLevel()/LITRO_PINTA;
   }

   /**
      in percentuale
   */
   public float fornisciPLivello()
   {
      return keg.getPLevel();
   }

   public String toString()
   {
      return
         super.toString()+
         ", livello (%)="+fornisciPLivello()+
         ", livello (litri)="+fornisciLivello();
   }
}