/**
   @author Andrea Trentini
*/
public class Keg
{
   /**
      content, in 12th of pint units
   */
   float filled;

   /**
      absolute level, in pints
   */
   public float getLevel()
   {
      return filled/12;
   }

   float original;
   /**
      in pints
   */
   public float getCapacity()
   {
      return original/12;
   }


   /**
      Keg filled with total gallons of beer
   */
   public Keg(float total)
   {
      filled=total*8*12;
      original=filled;
   }

   /**
      creates a Glass filled with
      quantity/12 pints of beer
   */
   public Glass draw(float quantity)
   {
      Glass g=new Glass();
      g.fill(quantity);
      filled-=quantity;
      return g;
   }

   /**
      % level
   */
   public float getPLevel()
   {
      return (100*filled)/original;
   }

   public String toString()
   {
      return
         super.toString()+
         ", level (%)="+getPLevel()+
         ", level (pints)="+getLevel();
   }
}